Subject: Re: ethtool -d no longer works for e1000

From: Ben Greear <[email-masked]>
Date: Wed, 09 Mar 2005 15:42:03 -0800

Ben Greear wrote:
> Jon Mason wrote:
> 
>> I don't see this problem at all on my 2.6.11-rc4-mm1 kernel (Athlon64 
>> proc).
> 
> 
> I think I see the problem.  ethtool -d eth0 works for me,
> but ethtool -d eth1 does not, even with both are e1000
> NICs.  It appears it cannot handle reading the second NIC for
> some reason?

Errr, my bad.  The problem is more that the dual-port pro/1000 NICs
don't seem to work, but the built-in e1000s do.

The chipset that does not work correctly is: 82546GB

The NICs with chipset: 82541EI seem to work just fine.

Ben

-- 
Ben Greear <[email-masked]>
Candela Technologies Inc  http://www.candelatech.com